aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/src/tests/qemu/Makefile
diff options
context:
space:
mode:
authorJason A. Donenfeld <Jason@zx2c4.com>2017-11-03 19:22:13 +0100
committerJason A. Donenfeld <Jason@zx2c4.com>2017-11-10 15:49:28 +0900
commit218824866beb9669e198101c7fda4c8bcce7c11c (patch)
tree8e3870f2537766da144c5b58ec5794e41681e636 /src/tests/qemu/Makefile
parentnetlink: plug memory leak (diff)
downloadwireguard-monolithic-historical-218824866beb9669e198101c7fda4c8bcce7c11c.tar.xz
wireguard-monolithic-historical-218824866beb9669e198101c7fda4c8bcce7c11c.zip
qemu: check for memory leaks
Diffstat (limited to 'src/tests/qemu/Makefile')
-rw-r--r--src/tests/qemu/Makefile2
1 files changed, 1 insertions, 1 deletions
diff --git a/src/tests/qemu/Makefile b/src/tests/qemu/Makefile
index 4261b89..0469b3a 100644
--- a/src/tests/qemu/Makefile
+++ b/src/tests/qemu/Makefile
@@ -169,7 +169,7 @@ qemu: $(KERNEL_BZIMAGE)
-nographic \
-smp $(NR_CPUS) \
$(QEMU_MACHINE) \
- -m 192M \
+ -m $$(grep -q CONFIG_DEBUG_KMEMLEAK=y $(KERNEL_PATH)/.config && echo 1G || echo 192M) \
-serial stdio \
-serial file:$(BUILD_PATH)/result \
-no-reboot \